Subject: [Fot] Viton Rear seal from Moss Europe---Follow up

From: Dan Cronin via Fot <[email-masked]>
Date: Wed, 25 Feb 2015 15:04:22 -0500

2/25
To All With rear scroll shaved off and a 2.500" rear crank diameter.

I have heard back from Moss Europe and they have both the original Nitril and the new Viton seals available. These seals fit the first generation lip seal carriers which go with the shaved scroll cranks with a diameter of 63.5mm (2.50").  Cost of the Viton seal, part no. TT1032SX  including shipping comes to: 27.46 Pounds plus 14.95 Pounds shipping = 42.41 pounds ($66.00).
I plan on making an order by the end of this week and if anyone wishes to "go along", we may be able to save a bit on the shipping side of things, but since I would need to ship it again from Detroit, perhaps not so much.  At any rate if you are interested please let me know asap!
Dan Cronin
248 761 2673 cell

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive